Groove Task Manager Tool

The Groove Task Manager tool helps you organize a project by breaking it down into tasks. After you create tasks and assign them to workspace members, you can update their status to track a project's progress.

What do you want to do?

  • Create and work with tasks

  • Save a Task workspace as a template

    • Create a task

    • Edit a task

    • Rearrange tasks

    • Filter by participant or status

    • Collapse or expand task views

  • Generate task reports

  • Import/export tasks from/to Microsoft Project

  • Change Task Manager permissions

  • Use the keyboard to do Task Manager tasks

© 2006 Microsoft Corporation. All rights reserved.


Adding a new task

  • Name the task.

  • Select a level for the new task in relation to the selected task. If this is the first task you're creating, you must create this task as a subtask.

  • Assign the task to a member of the space from the Assigned To drop-down menu, or leave the task as "Unassigned."

  • Select a Start Date option:

  • If you want an exact start date, click "No earlier than" and enter a date in the text box.

  • If the start date is immediate, click "As soon as possible"

  • Assign a current status and priority using the Status and Priority drop-down menus.

  • If needed, assign predecessors to the task.

  • If you want, click Attachments to add one or more file attachments to the task.

Adding a new task

To add a new task in the Task Manager tool:

  1. Select the task you'd like your new task to follow and click New Task.

  2. Fill in the fields in the New Task dialog box.

  3. Select an option to create or cancel the task.

To edit a selected task, click Edit, update the task fields as needed, and click Save & Close.

To delete a selected task, press Delete or click the Delete icon.

Groove Task Manager Tool Contents


About task predecessors

About project task predecessors

Predecessors are Task Manager tasks that must be completed before work on another task may begin. If a task has predecessors, its start date must be later than the end date of the predecessor with the latest end date. The Groove Task Manager tool calculates this date automatically.

In the example below, "Predecessor 1," "Predecessor 2," and "Predecessor 3" are predecessors of "Task."

Of the three predecessors, "Predecessor 3" has the latest end date. Therefore, the earliest date work on "Task" can begin is the date after work on "Predecessor 3" ends—Wednesday, March 20.

If you edited "Predecessor 1" by increasing its Duration to 25 days, its end date would get adjusted to Monday, March 25.

Since "Predecessor 1" is a predecessor of "Task," and it now has the latest end date of all three predecessors, the start date for "Task" is adjusted to begin the day after "Predecessor 1" ends.

To select or view the predecessors of a selected task (if any), click Predecessors.


Filtering tasks

Filtering tasks by participant and status

You can filter the tasks that display in the Task Manager task list by participant and status.

To filter the task list, select options from the Participants and Status drop-down menus. Note that the menu buttons change to reflect your current filter selections.


Rearranging tasks

Rearranging project tasks

You can rearrange tasks in the Task Manager task list by moving them up or down, or by promoting or demoting them in the task hierarchy. Tasks stay on the same hierarchical level when you move them up or down. Tasks indent or outdent hierarchically when you demote or promote them.

To move a task up or down the list, click Move up or Move down.

To demote or promote a task, click Demote or Promote.


Saving a Task Manager workspace as a template

To save time, you can save a Task Manager workspace as a template for creating future project workspaces. The project workspace is saved as a .grv file, which you can use to create new project workspaces based on the template, email to others, or store on a file server.

To save an Task Manager workspace as a template:

  1. Select File - Save Project as Template.

  2. Select the items you wish to include in the template.

  3. Enter a directory path (or browse to a location) and a file name for the template.

  4. Click OK.


  • Select a Report Type.

    Both report types display the subject, start date, due date, owner (assigned to), priority, status, and description for each task. A fancy report also displays a details pane for the selected item.

  • If you want, select options to filter the report results by Status and Participant.

Generating task reports

You can display tasks in a report window designed for easy reading. The report window also includes options for printing and saving the report. You can create a standard report or a time line report.

  1. Select View - Report.

  2. Select options in the Project Report window.

  3. Click Run Report.

To print a task report, click Print.

To save a task report as an XML file, click Save As.

To close the task report window, click Done.

Time line reports

Time line reports display a tasks as a time line. Just as with a standard report, a time line can be filtered by participant or status. A time line report can also be filtered by days or weeks. To generate a time line report, click the Time Line button in the toolbar.

In the Time Line Report window, tasks (summary and regular) appear on the left side of the grid (the "Y" axis), while the date appears stretched across the top (the "X" axis). Solid lines bracketed by arrows indicate the “underway” period of each task. The name of the person responsible for completing the task appears to the right of the line, at the completion date.

To focus in on a specific period of time, click the "zoom in" indicator ("+"). To expand the period of time, use the "zoom-out" indicator ("-").

To print a time line report, click Print.

To close the Time Line Report window, click Done.


Task Manager permissions

Changing Task Manager permissions

The table below lists all permissions for the Task Manager tool and which ones are assigned to each role by default.

 |  | Roles
Permission | What you can do | Manager | Participant | Guest
Add New Tasks | Create a new task | P | P |
Edit Any Task | Edit all tasks | P |  |
Edit Project Information | Edit project information (the main task) | P |  |
Edit Created Tasks | Edit tasks you created | P | P |
Edit Assigned Task Status | Change the status of tasks assigned to you | P | P |
Edit Assigned Task | Edit the schedule of tasks assigned to you | P |  |
Delete Any Task | Delete any task | P |  |
Delete Created Tasks | Delete only the tasks you created | P | P |


Importing/exporting tasks from/to Microsoft Project®

You can import Microsoft Project® projects into the Task Manager tool, or export Task Manager tool tasks into Microsoft Project. In order to import or export Microsoft Project files, Microsoft Project must be installed on your computer. Groove supports Microsoft Project '98, 2000, and 2002, with two limitations for '98:

  • Predecessors can be exported but not imported.

  • When using the Task Manager tool as part of the Task & Meeting Management toolset, material resources are imported into a Contacts tool along with work (people) resources. You must remove material resources from the Contacts tool manually.

To import a Microsoft Project project:

  1. Select File - Import from Microsoft Project.

  2. Browse to the Microsoft Project file you want and click OK.

  3. Select one of the following options and click Continue:

  • Don't import resources or reconcile names. All tasks will be imported as unassigned.

  • Reconcile names, but when there is no match, don't create a new contact in Groove, and leave corresponding tasks unassigned.

  • Reconcile names, and when there is no match, create a new email contact in Groove and assign corresponding tasks to it.

    Note:     This last option is available only if you're importing into a Task Manager tool that's part of a Task & Meeting Management toolset.

If your Microsoft Project file is large, importing and processing it could take several minutes. During this time you and other members of your workspace won't be able to use Groove. Workspace members who are off-line will experience the same processing delay the next time they enter the workspace.

Because of the possibility of this processing delay, the following procedure is recommended for importing from Microsoft Project:

  1. Create a workspace that includes a Task Manager tool and don't initially invite other people.

  2. Import the Microsoft Project project.

  3. Once the import process is complete, invite people to the space.

What gets imported?

Groove imports according to the task/subtask hierarchy within the Microsoft Project file, importing each task’s name, description, start date, end date, priority, status, constraints, predecessors, and assignments. Since the Task tool's parameters are different from Microsoft's, you may see some discrepancies.

Assignments are imported as persons into the Contacts tool (if you have a Contacts tool in your workspace, and it was installed in your workspace as part of Groove's Task & Meeting Management toolset). The Task Manager tool appends the data it imports; it does not reconcile it. Therefore, if you run import twice, the data will be duplicated.

Unlike Microsoft Project, Groove Task Manager tasks can be assigned to only one person. Groove does the following to handle Microsoft Project tasks with multiple assignments:

  • A Microsoft Project summary task assigned to more than one person is imported as a single task with the names of the people to which it's assigned appended to the name. The Task Manager task is then assigned to the first person on the list. For example, the Microsoft Project summary task “Write Proposal” assigned to Tom, Dick, and Harry would be imported into a Groove Task Manager Tool as “Write Proposal (Tom, Dick, Harry)” and assigned to Tom.

  • A Microsoft Project task assigned to more than one person is imported as multiple tasks assigned to the people the task was assigned to in Microsoft Project. However, Groove adds each person’s name to each new task name. For example, the Microsoft Project task "Order Widgets" assigned to George, John, and Paul would generate three Groove Task Manager tool tasks: "Order Widgets (George)," "Order Widgets (John)," and "Order Widgets (Paul)." Each task would be assigned to the person named. Each of the three tasks would have the same parameters, except for the name and the person assigned to it.

When exporting Groove Task Manager summary tasks and tasks created in this manner back to Microsoft Project, they are not reconciled into their original Microsoft Project form—"Order Widgets (Paul)", "Order Widgets (George)", and "Order Widgets (John)" will not combine to create a Microsoft Project task called "Order Widgets" assigned to Paul, George, and John.

The Task Manager tool and the Contacts tool in the Task & Meeting Management toolset

When you add tasks in the Task & Meeting Management toolset, the Task Manager tool and the Contacts tool work together in the following ways:

  • If a contact is removed from the Contacts tool but the contact still remains a member of the workspace, the Task & Meeting Management toolset's tools can still reference the contact.

  • Invitees to a workspace with a Task & Meeting Management toolset have their contact information automatically added to the Contacts tool.

  • Contact information for uninvited members remains in the Contacts tool until removed manually.

  • If you remove a person from the Contacts tool, the person is removed from all the lists and menu items in the other Task & Meeting Management toolset tools and replaced with <Missing Contact>. If the person was a Groove contact, you can add him back to the Contacts tool and his name will reappear in all lists and menu items. Email contacts must be reinstated manually.

  • If you delete the Contacts tool from a Task & Meeting Management toolset, it cannot be re-added so that other Task & Meeting Management toolset tools will recognize it. If you delete the Contacts tool, the list of names available to the Task & Meeting Management toolset's tools comes from the workspace's membership panel.

Exporting Task Manager tool projects to Microsoft Project

To export a Task Manager tool project to Microsoft Project:

  • Select File - Export to MS Project.

  • Select where you'd like to store your file and click OK.

Note, however, that there’s no data synchronization between the Groove Project Toolset and Microsoft Project at this time. Therefore, the export feature is best for backing up your data in Microsoft Project, or utilizing Microsoft Project’s extensive features and functionality to analyze and print data from your Task Manager Tool workspace.


Using the keyboard to do Task Manager tasks

The table below lists keyboard shortcuts for the Task Manager tool. Available shortcuts depend on the mode in which you are using the tool.

To | Press
Save a Task Manager workspace as a template | Ctrl+E
Create a new task | Ctrl+N
Copy the selected task as a link | Ctrl+H
Mark selected read | Ctrl+F4
Mark all read | Ctrl+Shift+F4
View a project report | Ctrl+R


Troubleshooting in the Task Manager tool

Troubleshooting problems with the Task Manager Tool and Microsoft Project®

Import/export between the Groove Task Manager tool and Microsoft Project may fail for one of the following reasons:

  • Norton AntiVirus® is installed, with script blocking and/or the Microsoft Office® plug-in enabled. Before using the Task Manager tool's import/export feature, either disable Norton AntiVirus entirely, or disable script blocking and the Microsoft Office plug-in. Instructions on disabling the Microsoft Office plug-in can be found on Symantec's Web site. After disabling script blocking and the Microsoft Office plug-in, shut down Groove and restart it before using the import/export feature.

  • Microsoft Project is not installed correctly. Before using the import/export feature, reinstall Microsoft Project.